View Issue Details

IDProjectCategoryView StatusLast Update
0013126mantisbtplug-inspublic2017-10-28 19:08
Reporterray81Assigned Tocproensa 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.5 
Target Version2.8.0Fixed in Version2.8.0 
Summary0013126: Add plugin event EVENT_BUG_ACTIONGROUP_FORM
Description

Add an event to generate extra functionality to the actiongroup page.
(i'm trying to add a checkbox to the form of the page '/bug_actiongroup_page.php' to do extra stuff)

Additional Information

before the <tr> of the submit button, add
event_signal( 'EVENT_BUG_ACTIONGROUP', array( $f_bug_arr, $f_action) );
Don't forget to declare the bug as an OUTPUT

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master b1c3160d

2017-09-26 19:57:37

cproensa


Committer: vboctor Details Diff
Create event EVENT_BUG_ACTIONGROUP_FORM

Create event EVENT_BUG_ACTIONGROUP_FORM to add custom content to the
group action page form.
For example: custom inputs that can later be evaluated when processing
EVENT_BUG_ACTION.

Fixes: 0013126
mod - bug_actiongroup_add_note_inc.php Diff File
mod - bug_actiongroup_ext_page.php Diff File
mod - bug_actiongroup_page.php Diff File
mod - core/events_inc.php Diff File
mod - docbook/Developers_Guide/en-US/Events_Reference_Bug.xml Diff File

Issue History

Date Modified Username Field Change
2011-07-07 05:39 ray81 New Issue
2014-02-01 17:47 atrol Severity minor => feature
2014-02-01 17:47 atrol Category feature => plug-ins
2017-09-26 20:22 cproensa Note Added: 0057821
2017-10-23 03:48 vboctor Changeset attached => MantisBT master b1c3160d
2017-10-23 03:48 cproensa Assigned To => cproensa
2017-10-23 03:48 cproensa Status new => resolved
2017-10-23 03:48 cproensa Resolution open => fixed
2017-10-23 03:48 cproensa Fixed in Version => 2.8.0
2017-10-23 04:06 vboctor Target Version => 2.8.0
2017-10-23 04:06 vboctor Summary new event: EVENT_BUG_ACTIONGROUP_FORM => Add plugin event EVENT_BUG_ACTIONGROUP_FORM
2017-10-28 19:08 vboctor Status resolved => closed